VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL synced
        SIGNAL DCF_Sig
        SIGNAL BitClk
        SIGNAL Errr
        SIGNAL MinClk
        SIGNAL BitV
        SIGNAL Std10(3:0)
        SIGNAL Std1(3:0)
        SIGNAL Min10(3:0)
        SIGNAL Min1(3:0)
        SIGNAL Reset
        SIGNAL XLXN_50
        SIGNAL MUX(2:0)
        SIGNAL Segmente(6:0)
        SIGNAL CLK
        SIGNAL XLXN_64
        SIGNAL XLXN_65
        PORT Input DCF_Sig
        PORT Input Reset
        PORT Output MUX(2:0)
        PORT Output Segmente(6:0)
        PORT Input CLK
        BEGIN BLOCKDEF dcf_syncer
            TIMESTAMP 2005 5 18 8 45 18
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF pwm_decoder
            TIMESTAMP 2005 5 18 12 34 44
            RECTANGLE N 64 -320 320 0 
            LINE N 64 -288 0 -288 
            LINE N 64 -160 0 -160 
            LINE N 64 -32 0 -32 
            LINE N 320 -288 384 -288 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF shift
            TIMESTAMP 2005 5 19 18 42 36
            LINE N 64 32 0 32 
            LINE N 320 32 384 32 
            RECTANGLE N 320 20 384 44 
            LINE N 320 96 384 96 
            RECTANGLE N 320 84 384 108 
            LINE N 320 160 384 160 
            RECTANGLE N 320 148 384 172 
            LINE N 320 224 384 224 
            RECTANGLE N 320 212 384 236 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 64 -192 320 384 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF led_multiplexer
            TIMESTAMP 2005 5 19 20 21 48
            RECTANGLE N 64 -576 320 0 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -544 384 -544 
            RECTANGLE N 320 -556 384 -532 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCK XLXI_2 dcf_syncer
            PIN Reset Reset
            PIN CLK CLK
            PIN SigIn DCF_Sig
            PIN SigOut synced
        END BLOCK
        BEGIN BLOCK XLXI_4 pwm_decoder
            PIN sig synced
            PIN msClk CLK
            PIN rst Reset
            PIN bitVal BitV
            PIN bitClkOut BitClk
            PIN minClkOut MinClk
            PIN error Errr
        END BLOCK
        BEGIN BLOCK XLXI_5 shift
            PIN Unload MinClk
            PIN Reset XLXN_50
            PIN C BitClk
            PIN SI BitV
            PIN Stunden_10er(3:0) Std10(3:0)
            PIN Stunden_1er(3:0) Std1(3:0)
            PIN Minuten_10er(3:0) Min10(3:0)
            PIN Minuten_1er(3:0) Min1(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_6 or2
            PIN I0 Reset
            PIN I1 Errr
            PIN O XLXN_50
        END BLOCK
        BEGIN BLOCK XLXI_7 led_multiplexer
            PIN CLK CLK
            PIN RESET Reset
            PIN DCF_Error Errr
            PIN DCF_Bit_Clk BitClk
            PIN DCF_Min_Clk MinClk
            PIN BCD_Number_1(3:0) Std10(3:0)
            PIN BCD_Number_2(3:0) Std1(3:0)
            PIN BCD_Number_3(3:0) Min10(3:0)
            PIN BCD_Number_4(3:0) Min1(3:0)
            PIN Anzeige_Select(2:0) MUX(2:0)
            PIN Seg7_Out(6:0) Segmente(6:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_2 832 640 R0
        END INSTANCE
        BEGIN BRANCH synced
            WIRE 1216 480 1232 480
            WIRE 1232 480 1232 576
            WIRE 1232 576 1248 576
            WIRE 1232 224 1728 224
            WIRE 1232 224 1232 480
        END BRANCH
        BEGIN BRANCH DCF_Sig
            WIRE 208 672 832 672
            WIRE 832 608 832 672
        END BRANCH
        BEGIN INSTANCE XLXI_4 1248 864 R0
        END INSTANCE
        IOMARKER 208 672 DCF_Sig R180 28
        BEGIN BRANCH BitClk
            WIRE 1600 944 1728 944
            WIRE 1600 944 1600 1088
            WIRE 1600 1088 1760 1088
            WIRE 1632 640 1728 640
            WIRE 1728 640 1728 944
            WIRE 1728 640 1888 640
            WIRE 1888 640 1904 640
            WIRE 1888 528 1888 640
            WIRE 1888 528 1984 528
            WIRE 1984 464 2336 464
            WIRE 2336 464 2336 672
            WIRE 2336 672 2592 672
            WIRE 1984 464 1984 528
        END BRANCH
        BEGIN BRANCH MinClk
            WIRE 816 256 1712 256
            WIRE 1712 256 1712 288
            WIRE 1712 288 1712 704
            WIRE 1712 704 1712 768
            WIRE 1712 768 1904 768
            WIRE 1712 288 2528 288
            WIRE 2528 288 2528 736
            WIRE 2528 736 2592 736
            WIRE 816 256 816 1040
            WIRE 816 1040 1760 1040
            WIRE 1632 704 1712 704
        END BRANCH
        BEGIN BRANCH BitV
            WIRE 1632 576 1744 576
            WIRE 1744 576 1744 944
            WIRE 1744 944 1760 944
            WIRE 1744 576 1824 576
            WIRE 1824 576 1824 704
            WIRE 1824 704 1904 704
        END BRANCH
        BEGIN INSTANCE XLXI_5 1904 736 R0
        END INSTANCE
        BEGIN BRANCH Std10(3:0)
            WIRE 2288 768 2400 768
            WIRE 2400 768 2400 800
            WIRE 2400 800 2400 1168
            WIRE 2400 1168 2496 1168
            WIRE 2400 800 2592 800
        END BRANCH
        BEGIN BRANCH Std1(3:0)
            WIRE 2288 832 2384 832
            WIRE 2384 832 2384 864
            WIRE 2384 864 2384 1216
            WIRE 2384 1216 2480 1216
            WIRE 2384 864 2592 864
        END BRANCH
        BEGIN BRANCH Min10(3:0)
            WIRE 2288 896 2352 896
            WIRE 2352 896 2352 928
            WIRE 2352 928 2352 1264
            WIRE 2352 1264 2416 1264
            WIRE 2352 928 2592 928
        END BRANCH
        BEGIN BRANCH Min1(3:0)
            WIRE 2288 960 2336 960
            WIRE 2336 960 2336 992
            WIRE 2336 992 2336 1312
            WIRE 2336 1312 2368 1312
            WIRE 2336 992 2592 992
        END BRANCH
        IOMARKER 224 400 Reset R180 28
        BEGIN BRANCH Reset
            WIRE 224 400 240 400
            WIRE 240 160 336 160
            WIRE 240 160 240 320
            WIRE 240 320 240 400
            WIRE 240 320 576 320
            WIRE 576 320 1200 320
            WIRE 1200 320 1200 432
            WIRE 1200 432 1776 432
            WIRE 1200 320 2480 320
            WIRE 2480 320 2480 544
            WIRE 2480 544 2592 544
            WIRE 576 320 576 480
            WIRE 576 480 576 832
            WIRE 576 832 1248 832
            WIRE 576 480 832 480
        END BRANCH
        INSTANCE XLXI_6 1776 496 R0
        BEGIN BRANCH XLXN_50
            WIRE 1856 576 1904 576
            WIRE 1856 576 1856 1200
            WIRE 1856 1200 2368 1200
            WIRE 2032 400 2368 400
            WIRE 2368 400 2368 1200
        END BRANCH
        BEGIN INSTANCE XLXI_7 2592 1024 R0
        END INSTANCE
        BEGIN BRANCH MUX(2:0)
            WIRE 2976 480 3072 480
        END BRANCH
        BEGIN BRANCH Segmente(6:0)
            WIRE 2976 992 3072 992
        END BRANCH
        IOMARKER 3072 480 MUX(2:0) R0 28
        IOMARKER 3072 992 Segmente(6:0) R0 28
        BEGIN BRANCH Errr
            WIRE 1632 768 1648 768
            WIRE 1648 768 1648 992
            WIRE 1648 992 1664 992
            WIRE 1664 992 1760 992
            WIRE 1664 368 1776 368
            WIRE 1664 368 1664 480
            WIRE 1664 480 1664 992
            WIRE 1664 480 1728 480
            WIRE 1728 256 2400 256
            WIRE 2400 256 2400 608
            WIRE 2400 608 2592 608
            WIRE 1728 256 1728 480
        END BRANCH
        BEGIN BRANCH CLK
            WIRE 208 224 320 224
            WIRE 320 224 336 224
            WIRE 336 224 528 224
            WIRE 528 160 528 224
            WIRE 528 160 720 160
            WIRE 720 160 768 160
            WIRE 768 160 768 544
            WIRE 768 544 832 544
            WIRE 768 544 768 704
            WIRE 768 704 768 720
            WIRE 768 720 912 720
            WIRE 912 720 928 720
            WIRE 768 160 2576 160
            WIRE 2576 160 2576 480
            WIRE 2576 480 2592 480
            WIRE 928 704 1248 704
            WIRE 928 704 928 720
        END BRANCH
        IOMARKER 208 224 CLK R180 28
    END SHEET
END SCHEMATIC
